Bug 1607409 - The remote_ws_url value does not failover if the appliance is stopped, so "api_url" can be incorrect in an Ansible playbook
Summary: The remote_ws_url value does not failover if the appliance is stopped, so "ap...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.5
Assignee: Brandon Dunne
QA Contact: Satyajit Bulage
URL:
Whiteboard:
Depends On: 1594704
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-23 13:13 UTC by Satoe Imaishi
Modified: 2018-11-05 13:59 UTC (History)
7 users (show)

Fixed In Version: 5.9.5.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1594704
Environment:
Last Closed: 2018-11-05 13:58:27 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:59:13 UTC

Comment 3 CFME Bot 2018-10-02 21:21:03 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/cdebf346fc438be30b9495764d6f14bcb7fe8c36
commit cdebf346fc438be30b9495764d6f14bcb7fe8c36
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Jul  9 20:58:49 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Mon Jul  9 20:58:49 2018 -0400

    Merge pull request #17670 from bdunne/only_contact_active_ws_servers

    Scope ui and api server searches to recently active servers

    (cherry picked from commit ebfcf7cf1015d89d76d25efc5c56eea5eab8b9fc)
    https://bugzilla.redhat.com/show_bug.cgi?id=1607409

 app/models/miq_region.rb | 4 +-
 app/models/miq_server.rb | 2 +
 spec/models/miq_region_spec.rb | 88 +-
 3 files changed, 81 insertions(+), 13 deletions(-)

Comment 5 Satyajit Bulage 2018-10-12 15:03:34 UTC
Created setup of mulit-appliance with 3 appliances. Enabled Failover service.

Later executed command from the BZ description. Found that after executing "MiqServer.in_region(n).find_by(:has_active_webservices => true)" and "MiqRegion.my_region.remote_ws_url" getting IP address of the available appliance not the evmserverd stopped appliance.

Verified Version: 5.9.5.1.20181008190812_3752291

Comment 7 errata-xmlrpc 2018-11-05 13:58:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.